Update a contact
Updates a contact's default channel and/or opt-out status. Inherited contacts cannot be updated.
Path Parameters
Contact ID from route parameter
uuidHeader Parameters
Unique key to ensure idempotent request processing. Must be 1-255 alphanumeric characters, hyphens, or underscores. Responses are cached for 24 hours per key per customer.
^[a-zA-Z0-9_-]+$length <= 255Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.sent.dm/v3/contacts/6ba7b810-9dad-11d1-80b4-00c04fd430c8" \ -H "Idempotency-Key: req_abc123_retry1" \ -H "Content-Type: application/json" \ -d '{ "default_channel": "whatsapp", "opt_out": false, "sandbox": false }'{
"success": true,
"data": {
"id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"phone_number": "+1234567890",
"format_e164": "+1234567890",
"format_international": "+1 234-567-890",
"format_national": "(234) 567-890",
"format_rfc": "tel:+1-234-567-890",
"country_code": "1",
"region_code": "US",
"available_channels": "sms,whatsapp",
"default_channel": "whatsapp",
"opt_out": false,
"is_inherited": false,
"created_at": "2026-02-09T21:50:50.2145484+00:00",
"updated_at": "2026-03-11T21:50:50.2145489+00:00"
},
"error": null,
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:50.2145493+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_001",
"message": "This contact is read-only and cannot be updated.",
"details": null,
"doc_url": "https://docs.sent.dm/errors/VALIDATION_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:50.2145506+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "RESOURCE_001",
"message": "Contact not found",
"details": null,
"doc_url": "https://docs.sent.dm/errors/RESOURCE_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:50.2145509+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_001",
"message": "An unexpected error occurred. Please contact support with request ID: req_7X9zKp2jDw",
"details": null,
"doc_url": "https://docs.sent.dm/errors/INTERNAL_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:50.2145512+00:00",
"version": "v3"
}
}